Bug 1123359 - [RFE] Foreman must accept a list of Capsules in order to run puppetruns against puppet client through them in HA fashion
Summary: [RFE] Foreman must accept a list of Capsules in order to run puppetruns again...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Puppet
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker Sat6_HA_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-25 12:23 UTC by Benjamin Chardi
Modified: 2018-03-29 17:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-29 17:33:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6791 None None None 2016-04-22 16:48:05 UTC

Description Benjamin Chardi 2014-07-25 12:23:46 UTC
Description of problem:


We are building a Satellite6 HA environment for a customer that is going to manage around 8k RHEL servers. Our setting is running providing capsule load balanced services (puppetmaster + yum repos) to clients. In that scenario if one capsule goes down, the client connect to another capsule member of the cluster and the service is provided.

Puppet applies on our clients are done through running puppetruns from Foreman, an at this point this feature is not in HA.

In order to provide HA for puppetruns executed from Foreman  (WEB or API) it will be very useful if Foreman is able to assing a list of capsules (instead of just one capsule as now) to a puppet client in order to run puppetruns on that client through the capsule from Foreman.

In the actual setting just one capsule can be assigned to one host, in that case if that capsule is down the puppetrun will fail.

If Foreman can is able to try in failover fashion puppetruns through a list of capsules then HA for puppetruns will be archived.

Comment 1 RHEL Product and Program Management 2014-07-25 12:43:44 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Daniel Lobato Garcia 2014-07-28 06:55:55 UTC
Just to clarify, "puppetruns" -> "puppet runs triggered through the smart proxy"

Comment 4 Daniel Lobato Garcia 2014-07-28 06:56:09 UTC
Just to clarify, "puppetruns" -> "puppet runs triggered through the smart proxy"

Comment 5 Stephen Benjamin 2014-07-28 08:11:56 UTC
Created redmine issue http://projects.theforeman.org/issues/6791 from this bug

Comment 9 Bryan Kearney 2015-08-25 17:59:30 UTC
Upstream bug component is Provisioning

Comment 10 Bryan Kearney 2016-08-10 19:01:36 UTC
Upstream bug component is Configuration Management

Comment 11 Bryan Kearney 2016-08-10 20:02:44 UTC
Upstream bug component is Provisioning

Comment 12 Bryan Kearney 2016-08-10 22:02:34 UTC
Upstream bug component is Puppet

Comment 13 Bryan Kearney 2018-03-29 17:33:34 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.